Bug 38311 - Automatic paritioning and disk druid fall if empty partition / previous linux installation is > 1024 cylinders
Automatic paritioning and disk druid fall if empty partition / previous linux...
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: installer (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-29 11:16 EDT by Mike Zingale
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-15 14:37:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Zingale 2001-04-29 11:16:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.73C-SGI [en] (X11; U; IRIX64 6.5 IP30)


I decided to perform a clean install over a previous Redhat 7.0 Linux
install.  The harddisk is a 45 GB IBM IDE drive, with a 30 GB windows
partition at the beginning and the remaining 15 GB used by Redhat 7.0 (the
automatic partitioning option of RH 7.0 for the workstation install was
used on this disk).

If I try a clean RH 7.1 install on this system, the automatic partitioning
option does not appear, even though it worked just fine with this
arrangement in 7.0.  Disk Druid also does not allow me to create a /boot
partition because it will lie > 1024 cylinders.  Again this was no problem
in RH 7.0.
Lilo worked fine in RH 7.0 with the boot partition created by the automatic
partitioner in that version, as long as I added lba32 to the lilo.conf
created by the RH 7.0 installer.

It seems that the new disk druid / automatic partitioner does not like
partitions above 1024 cylinders even though the work fine with RH 7.0.

I have tried several time, with the non dos portion of the disk undisturbed
from the previous RH 7.0 installion, completely unpartitioned, partitioned
as a single DOS partition, and partitioned as a single ext2 partition -- in
every case both the automatic partitioner and disk druid fail.


Reproducible: Always
Steps to Reproduce:
1. partition a disk with a large dos partition and empty, unpartitioned
space after 1024 cylinders
2. try to install RH 7.1
3.
	

Actual Results:  Disk Druid fails

Expected Results:  The boot partition should have been created, as it was
in RH 7.0
Comment 1 Brent Fox 2001-04-30 11:12:55 EDT
What do you mean by 'fails'?
Comment 2 Mike Zingale 2001-04-30 11:17:32 EDT
By fails, I mean that disk druid will not allow me to create a /boot partition,
as it keeps issueing the > 1024 cylinder error message.  I could not find a way
to manually partition the disk that would allow me to continue with the RH 7.1
installation process.  Basically, I could not get past the partitioning screens.

I finally gave up, put in the RH 7.0 CD, rebooted, and it installed without any
problems.
Comment 3 Mike Zingale 2001-04-30 11:19:13 EDT
By fails, I mean that disk druid will not allow me to create a /boot partition,
as it keeps issueing the > 1024 cylinder error message.  I could not find a way
to manually partition the disk that would allow me to continue with the RH 7.1
installation process.  Basically, I could not get past the partitioning screens.

I finally gave up, put in the RH 7.0 CD, rebooted, and it installed without any
problems.
Comment 4 Mike Zingale 2001-04-30 11:19:28 EDT
By fails, I mean that disk druid will not allow me to create a /boot partition,
as it keeps issueing the > 1024 cylinder error message.  I could not find a way
to manually partition the disk that would allow me to continue with the RH 7.1
installation process.  Basically, I could not get past the partitioning screens.

I finally gave up, put in the RH 7.0 CD, rebooted, and it installed without any
problems.
Comment 5 Michael Fulbright 2001-04-30 17:46:28 EDT
Red Hat Linux 7.0 did not create /boot above the 1024 limit automatically. If it
did then this was in error.  We never wrote the lba32 option out in the 7.0
installer because we decided the option was too experimental in our experience.

In 7.1 we made a slightly different attempt. If you manually partition your
drive with fdisk, then assign '/boot' to a partition above the 1024 limit, you
should see a message saying to make a boot disk in case the lba32 option does
not work.  Then when we write out lilo.conf we'll put the lba32 option in the file.

So try partitioning manually and see if this works better.
Comment 6 Mike Zingale 2001-04-30 17:57:31 EDT
I would claim that the RH 7.0 error is a desired feature then.  With RH 7.0, the
automatic partitioner creates my
/boot and / partitions both above 1024 cylinders.  The disk druid in RH 7.1
confirmed that the partitions created by RH 7.0 were all above 1024 cylinders. 
I did try doing the manual partitioning with disk druid in RH 7.1, but if I
understand your reply correctly, the installation procedure will only proceed if
I use fdisk to create the partitions-- is that correct?

I installed RH 7.0 on my system and I will most likely leave it there for a
while, as I do not want to go through the trouble of a reinstall again. 
Unfortunately an upgrade to RH 7.1 also fails on this system for a different
reason, but that's another story.  I will most likely wait until the next .1
release before trying again.

I have read atleast one other report of this problem posted in the question area
of linuxtoday.com.

Mike
Comment 7 Mike Zingale 2001-04-30 18:02:36 EDT
The other reference to this problem that I referred to above is at:

http://losc.internet.com//read.php?f=13&i=1845&t=1845

Mike
Comment 8 Brent Fox 2001-05-02 16:33:35 EDT
That's right.  Does the install proceed correctly if you use fdisk to make a
/boot above 1024?
Comment 9 Brent Fox 2001-05-15 14:37:20 EDT
Closing due to inactivity.  Please reopen if you have more information.

Note You need to log in before you can comment on or make changes to this bug.